Update a rule
curl --request PATCH \
--url https://api.breezing.io/v1/rules/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"conditions": null,
"actions": [
null
],
"conditionsLength": 1,
"actionsLength": 1,
"isActive": true,
"order": 1
}
'import requests
url = "https://api.breezing.io/v1/rules/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"conditions": None,
"actions": [None],
"conditionsLength": 1,
"actionsLength": 1,
"isActive": True,
"order": 1
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
conditions: null,
actions: [null],
conditionsLength: 1,
actionsLength: 1,
isActive: true,
order: 1
})
};
fetch('https://api.breezing.io/v1/rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"updated": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Rules
Update Rule API
Update a Breezing automation rule by ID to adjust conditions, actions, or active status without re-applying it to existing crypto transactions.
PATCH
/
rules
/
{id}
Update a rule
Path Parameters
Rule ID
Example:
"1"
Query Parameters
Organization ID. Use GET /v1/companies to discover available org/company pairs.
Example:
"1"
Company ID. Use GET /v1/companies to discover available companies and their access levels.
Example:
"1"
Body
application/json
Required string length:
1 - 127Maximum string length:
255Required range:
x >= 0Required range:
x >= 0Apply priority. 0 is the highest priority; rules apply in ascending order.
Required range:
x >= 0Last modified on July 10, 2026
⌘I